(*
  TLengyel.inc: Lengyelforma kiertekeles programjainak kozos dolgai
  TLexEgys tpusa
*)
  Type  TFajta=(Szam,Valt,Muv,Vege);
  Const SFajta:Array [TFajta] of String=('Szam','Valt','Muv','Vege');
        KFajta:Array [TFajta] of Byte=(0,1,2,Ord(Vege));
  Type  TMuvJel=String[9];
        TMuv=Record
               jel:TMuvJel;
               prec:Byte
             End;
  Const MaxMuv=12;
  Type  TMuvTabla=Array [1..MaxMuv] of TMuv;
  Const EgyJeluek=7; {ennyi egy jelbl ll opertor van,
                      amelyek az Op elejn tallhatk}
        Op:TMuvTabla=((jel:'(';prec:0),(jel:')';prec:0),
                      (jel:'+';prec:5),(jel:'-';prec:5),(jel:'*';prec:6),
                      (jel:'/';prec:6),(jel:'^';prec:7),
                      {innentl vannak a tbbjeles opertorok/fv.-ek:}
                      (jel:'PI';prec:10),(jel:'SIN';prec:10),
                      (jel:'COS';prec:10),(jel:'TG';prec:10),
                      (jel:'SQRT';prec:10));
  Type  TLexEgys=Record
                   mifele:TFajta;
                   ertek:TMuvJel;
                 End;
        Procedure Letrehoz(mi:TFajta; er:String);
        Begin
          mifele:=mi; ertek:=er;
        End;
        Procedure Readln(Var f:Text);
          Var kod:Byte;
        Begin {Ef: a file-ban a lexEgys 1 sorban ertekpar.
                   1. ertek: szamkod, 2. ertek: szoveg}
          {$i-}
          System.Readln(f,kod,ertek);
          If ertek[1]=' ' then Delete(ertek,1,1);
          {$i+}
          If IOResult=0 then mifele:=TFajta(kod)
                        else mifele:=Vege;
        End;
        Procedure Writeln(Var f:Text);
        Begin
          System.Writeln(f,KFajta[mifele],' ',ertek);
        End;
